## eole-workstation-manager 2.7.1-13

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-workstation-manager
VERSION=2.7
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.1
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-workstation-manager (2.7.1-13) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4b53388] Do not use SSH to execute command in container
  * [bb53f0f] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [cd67eee] Daniel Dehennin: Update package since “debian/eole/2.7.1-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 03 May 2019 12:02:09 +0200

eole-workstation-manager (2.7.1-12) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ad2761a] Add icon and help for "Workstation" family
  * [2635964] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [9ca16d0] Joël Cuissinat: Update package since “debian/eole/2.7.1-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 02 May 2019 17:22:11 +0200

eole-workstation-manager (2.7.1-11) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4427e99] The Veyon software installation and configuration shoud be optional
  * [3918ccf] Merge branch 'feature/veyon-should-be-optional'
  * [980937f] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [757492b] Daniel Dehennin: Update package since “debian/eole/2.7.1-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 16 Apr 2019 16:01:05 +0200

eole-workstation-manager (2.7.1-10) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7c750b9] Service accounts password were undefined when users existed
  * [cce5e99] Merge branch 'feature/service-accounts'
  * [9f33361] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [a943ffb] Daniel Dehennin: Update package since “debian/eole/2.7.1-9”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 28 Mar 2019 16:54:51 +0100

eole-workstation-manager (2.7.1-9) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5555ce1] Postservice must manage more than the salt DNS resolution
  * [0c3c80e] We need a service account to join the domain
  * [b6f2b63] We need a service account for read only access
  * [3c5cdb1] Generate a pillar information to join the domain and configure Veyon
  * [4afae24] Merge branch 'feature/service-accounts'
  * [8311d32] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [a3d4be6] Daniel Dehennin: Update package since “debian/eole/2.7.1-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 28 Mar 2019 14:25:40 +0100

eole-workstation-manager (2.7.1-8) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [59c4d3f] Configure winrepo-ng to install software on Microsoft machines
  * [522e2cf] Merge branch 'master'

  [ EOLE Build Daemon ]
  * [6c2e7db] Daniel Dehennin: Update package since “debian/eole/2.7.1-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 31 Jan 2019 10:30:14 +0100

eole-workstation-manager (2.7.1-7) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [b6506e3] The static state top.sls is provided by eole-workstation-manager
  * [ea83c02] Merge branch 'master'
  * [f81470e] Replace eole-workstation-binaries for state top.sls

  [ EOLE Build Daemon ]
  * [a2a49b2] Daniel Dehennin: Update package since “debian/eole/2.7.1-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 25 Jan 2019 10:05:01 +0100

eole-workstation-manager (2.7.1-6) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e95db35] Rename 20_eole_workstation_manager.xml as 20_workstation_manager.xml
  * [3aa40f4] Merge branch 'master' into dist/eole/2.7.1/master
  * [45c4e3e] eole-workstation-binaries should declare other data packages

  [ EOLE Build Daemon ]
  * [45df9bb] Joël Cuissinat: Update package since “debian/eole/2.7.1-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Jan 2019 12:12:47 +0100

eole-workstation-manager (2.7.1-5) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [506b715] Add all files in non virtual package eole-workstation-manager
  * [eee9c80] Cosmetic on packages description

  [ EOLE Build Daemon ]
  * [6a09370] Joël Cuissinat: Update package since “debian/eole/2.7.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Jan 2019 11:29:50 +0100

eole-workstation-manager (2.7.1-4) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [363e92e] Create eole-workstation virtual package to install all pakages

  [ EOLE Build Daemon ]
  * [fc4465e] Joël Cuissinat: Update package since “debian/eole/2.7.1-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Jan 2019 17:11:30 +0100

eole-workstation-manager (2.7.1-3) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [41b6eac] Add resolution for salt hostname in postservice
  * [dd4d45d] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [3eb8c44] Joël Cuissinat: Update package since “debian/eole/2.7.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Jan 2019 16:16:16 +0100

eole-workstation-manager (2.7.1-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [9165eac] Conflict on version 2.7.1 removes eole-saltstack-ead3

  [ EOLE Build Daemon ]
  * [46b8fae] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 14 Jan 2019 11:43:12 +0100

eole-workstation-manager (2.7.1-1) eole-2.7-unstable; urgency=low

  * [68935f7] Initialise eole-workstation-manager
  * [9808a1d] Service name suffixed by .service
  * [450db2f] Packaging for eole-workstation-manager

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 14 Jan 2019 11:29:57 +0100

=== debian/control ===
Source: eole-workstation-manager
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Homepage: http://pcll.ac-dijon.fr/eole
Vcs-Git: https://dev-eole.ac-dijon.fr/git/eole-workstation-manager.git
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-workstation/repository

Package: eole-workstation-manager
Architecture: all
Depends: salt-master,
         ${misc:Depends}
Conflicts: eole-saltstack (<2.7.1)
Replaces: eole-workstation-binaries (<< 2.7.1-7)
Breaks: eole-workstation-binaries (<< 2.7.1-7)
Description: SaltMaster server for workstation management
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-workstation
Section: metapackages
Architecture: all
Depends: eole-workstation-manager,
         eole-workstation-binaries,
	     ${misc:Depends}
Description: Dependency package for workstation management
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-workstation-manager 2.7.1-28

=== debian/changelog ===
eole-workstation-manager (2.7.1-28) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [14e569b] Samba 4.9 does not support “dsacl”
  * [cc57e95] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [a26ed9a] Daniel Dehennin: Update package since “debian/eole/2.7.1-27”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 18 May 2021 16:44:56 +0200

eole-workstation-manager (2.7.1-27) eole-2.7.1-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [2c6cc0e] Gestion de la jonction au domain avec un compte non admins

  [ Daniel Dehennin ]
  * [104a786] Remove unwanted line instead of commenting
  * [e192b78] Suppress extra spaces at the end of lines
  * [8c19a65] Merge branch 'fix/remove-manager-from-admin' into 2.7.1/master
  * [9c8d22a] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [0faeab5] Daniel Dehennin: Update package since “debian/eole/2.7.1-26”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 12 May 2021 15:51:00 +0200

eole-workstation-manager (2.7.1-26) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [fac9727] Revert "Veyon: extract and configure the autorised user groups"
  * [938f32a] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [95ec90d] Daniel Dehennin: Update package since “debian/eole/2.7.1-25”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 12:56:07 +0100

eole-workstation-manager (2.7.1-25) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [8ff2de9] Veyon: extract and configure the autorised user groups
  * [f56a830] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [72b58c2] Daniel Dehennin: Update package since “debian/eole/2.7.1-24”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 11:23:47 +0100

eole-workstation-manager (2.7.1-24) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [6119c3b] AD/Linux: declare domain controller hostname
  * [41b122d] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [115ed0b] Daniel Dehennin: Update package since “debian/eole/2.7.1-23”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 05 Oct 2020 11:55:23 +0200

eole-workstation-manager (2.7.1-23) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [cb43d2c] Indent cheetah for better readability
  * [30d2fe3] Merge branch 'style/indent-cheetah' into 2.7.1/master
  * [ab42d25] Veyon: username as LDAP DN to work nicely with Python2 minions
  * [54f95b9] Merge branch 'fix/veyon-user-as-ldap-dn' into 2.7.1/master
  * [79fb10f] AD/Linux: declare standard shares in pillar to be mounted by minion
  * [856f868] Merge branch 'feature/mount-shares-for-linux' into 2.7.1/master
  * [f763ae6] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ab170eb] Daniel Dehennin: Update package since “debian/eole/2.7.1-22”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 05 Oct 2020 09:27:38 +0200

eole-workstation-manager (2.7.1-22) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [44ede00] Target minions with grains in addition to all Windows machines
  * [0c9c6e7] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [4e32268] Daniel Dehennin: Update package since “debian/eole/2.7.1-21”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 29 Sep 2020 16:29:27 +0200

eole-workstation-manager (2.7.1-21) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [c7422f6] Don't start eole-workstation-manager if server not instantiated
  * [1d5b431] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [cc20930] Joël Cuissinat: Update package since “debian/eole/2.7.1-20”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 29 Apr 2020 11:01:21 +0200

eole-workstation-manager (2.7.1-20) eole-2.7.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [18f9e5e] feat(mine): 60 minutes to wait for mine updates is too long
  * [5968766] Merge branch 'feature/update-mine' into 2.7.1/master
  * [3bc62f0] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [09c691e] Daniel Dehennin: Update package since “debian/eole/2.7.1-19”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 24 Apr 2020 15:33:50 +0200

eole-workstation-manager (2.7.1-19) eole-2.7.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [3b10e1e] set use of salt mine for minions
  * [c83b726] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ccc832e] Matthieu Lamalle: Update package since “debian/eole/2.7.1-18”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 03 Apr 2020 10:56:15 +0200

eole-workstation-manager (2.7.1-18) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [c20522f] If salt DNS entry is not the expected one, remove all salt DNS entries and add it
  * [31f1af2] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [d4276ec] Joël Cuissinat: Update package since “debian/eole/2.7.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jan 2020 15:15:56 +0100

eole-workstation-manager (2.7.1-17) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [58c705d] eole-workstation.sls : fix syntax in template
  * [5d769cb] Merge branch '2.7.1/cadoles/28744_for-scribe-seth' into 2.7.1/master
  * [a80bba5] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [2155aa9] Joël Cuissinat: Update package since “debian/eole/2.7.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 26 Sep 2019 12:00:59 +0200

eole-workstation-manager (2.7.1-16) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2a37699] Pillar for SaltStack formula must work on both Scribe and Seth

  [ Joël Cuissinat ]


## eole-workstation-manager 2.7.2-9

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-workstation-manager
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-workstation-manager (2.7.2-9) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [18f9e5e] feat(mine): 60 minutes to wait for mine updates is too long
  * [d7654d2] Merge branch 'feature/update-mine' into 2.7.2/master
  * [f3927a8] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [aa81944] Daniel Dehennin: Update package since “debian/eole/2.7.2-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 24 Apr 2020 15:31:21 +0200

eole-workstation-manager (2.7.2-8) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3d16dfc] Don't execute postservice code if disabled
  * [f1c0cd2] Replace unnecessary "CreoleGet"
  * [adb6a60] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c06a102] Joël Cuissinat: Update package since “debian/eole/2.7.2-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 08 Apr 2020 11:02:40 +0200

eole-workstation-manager (2.7.2-7) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [3b10e1e] set use of salt mine for minions
  * [11f5e0d] Merge branch '2.7.1/master' into 2.7.2/master
  * [b0cd173] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a6b8e97] Matthieu Lamalle: Update package since “debian/eole/2.7.2-6”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 03 Apr 2020 10:56:52 +0200

eole-workstation-manager (2.7.2-6) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [c20522f] If salt DNS entry is not the expected one, remove all salt DNS entries and add it
  * [a5bacb6] Merge branch '2.7.1/master'
  * [143d3e3] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [de5dee9] Joël Cuissinat: Update package since “debian/eole/2.7.2-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jan 2020 15:16:47 +0100

eole-workstation-manager (2.7.2-5) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [864d748] Veyon: the new top state is eole-workstation.veyon
  * [8255bad] Merge branch 'feature/use-new-veyon-top-state'
  * [78ce01c] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [18478e9] Daniel Dehennin: Update package since “debian/eole/2.7.2-4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 14 Nov 2019 17:16:32 +0100

eole-workstation-manager (2.7.2-4) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d650b8c] Merge branch '2.7.1/cadoles/28744_for-scribe-seth' into 2.7.1/master
  * [58c705d] eole-workstation.sls : fix syntax in template
  * [5d769cb] Merge branch '2.7.1/cadoles/28744_for-scribe-seth' into 2.7.1/master
  * [7ee20f5] Merge branch '2.7.1/master'
  * [cca6dbc] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1fb4430] Joël Cuissinat: Update package since “debian/eole/2.7.2-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Oct 2019 15:14:37 +0200

eole-workstation-manager (2.7.2-3) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [2e07b1a] Add salt certs and keys to Bareos backup
  * [ebbb003] Merge branch '2.7.1/master'
  * [dbb4ef3] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [55ffc10] Joël Cuissinat: Update package since “debian/eole/2.7.2-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 05 Sep 2019 17:20:23 +0200

eole-workstation-manager (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [296b647] Add bareos config file in eole-workstation-manager package
  * [cc7875c] Add eole-workstation-reader's password file to Bareos backup
  * [2352d4f] Merge branch '2.7.1/master'
  * [f617bd2] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [bf53c69] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 22 Jul 2019 16:04:29 +0200

eole-workstation-manager (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5eb2290] Prepare version 2.7.2
  * [9ee5ffd] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [4d1a06b] Merge branch '2.7.1/cadoles/28744_for-scribe-seth'
  * [567045c] Merge branch 'master'

  [ Emmanuel Garette ]
  * [2a37699] Pillar for SaltStack formula must work on both Scribe and Seth

  [ EOLE Build Daemon ]
  * [7e919dd] Daniel Dehennin: Update package since “debian/eole/2.7.1-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 17 Jul 2019 09:43:32 +0200

## eole-workstation-manager 2.7.2-10

=== debian/changelog ===
eole-workstation-manager (2.7.2-10) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [5968766] Merge branch 'feature/update-mine' into 2.7.1/master

  [ Joël Cuissinat ]
  * [c7422f6] Don't start eole-workstation-manager if server not instantiated
  * [547db50] Merge branch '2.7.1/master' into 2.7.2/master
  * [f40c04d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8b65d6e] Fabrice Barconnière: Update package since “debian/eole/2.7.2-9”

  [ Fabrice Barconnière ]

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 11 May 2020 13:44:19 +0200

## eole-workstation-manager 2.7.2-24

=== debian/changelog ===
eole-workstation-manager (2.7.2-24) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [833b23f] Suppression de l’option obsolète -k pour samba-tool (backport 2.7.2)
  * [47be7fa] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [d293b00] Joël Cuissinat: Update package since “debian/eole/2.7.2-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 13 Mar 2023 17:06:07 +0100

eole-workstation-manager (2.7.2-23) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [592fda2] Update salt pki path for Bareos backup
  * [ffab6d8] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [e33a3f7] Joël Cuissinat: Update package since “debian/eole/2.7.2-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 27 Apr 2022 10:42:24 +0200

eole-workstation-manager (2.7.2-22) eole-2.7.2-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [3a2ea6d] fix(debian/postinst): don't use [[ with sh

  [ EOLE Build Daemon ]
  * [8f1775d] Laurent Gourvénec: Update package since “debian/eole/2.7.2-21”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 19 Apr 2022 13:37:33 +0200

eole-workstation-manager (2.7.2-21) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [4a85aa2] feat(debian/control): salt require python3-contextvars

  [ EOLE Build Daemon ]
  * [62e6296] Daniel Dehennin: Update package since “debian/eole/2.7.2-20”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 07 Apr 2022 11:34:15 +0200

eole-workstation-manager (2.7.2-20) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [c1a16b9] feat(debian/control): new depends for 3004.1 upgrade
  * [155807e] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [93aba0d] Daniel Dehennin: Update package since “debian/eole/2.7.2-19”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 15:09:18 +0200

eole-workstation-manager (2.7.2-19) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [8c19a65] Merge branch 'fix/remove-manager-from-admin' into 2.7.1/master
  * [14e569b] Samba 4.9 does not support “dsacl”
  * [7c19565] Merge branch '2.7.1/master' into 2.7.2/master

  [ Matthieu Lamalle ]
  * [280e956] mask salt-minion service ref #33328
  * [901544f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [02bdf83] Matthieu Lamalle: Update package since “debian/eole/2.7.2-18”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 21 Oct 2021 16:08:04 +0200

eole-workstation-manager (2.7.2-18) eole-2.7.2-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [2c6cc0e] Gestion de la jonction au domain avec un compte non admins

  [ Daniel Dehennin ]
  * [104a786] Remove unwanted line instead of commenting
  * [e192b78] Suppress extra spaces at the end of lines
  * [a7bb475] Merge branch 'fix/remove-manager-from-admin' into 2.7.2/master
  * [94623f7] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [34100d4] Daniel Dehennin: Update package since “debian/eole/2.7.2-17”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 12 May 2021 15:51:57 +0200

eole-workstation-manager (2.7.2-17) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [03eb938] EAD3 actions are now in eole-workstation-ead3
  * [f993f3c] Remove tabs

  [ EOLE Build Daemon ]
  * [3a01f56] Daniel Dehennin: Update package since “debian/eole/2.7.2-16”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 25 Jan 2021 13:09:46 +0100

eole-workstation-manager (2.7.2-16) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [bd3109f] Move EAD3 actions in a dedicated repository
  * [9a50bb0] Move EAD3 actions in a dedicated repository
  * [1438884] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [d57ad82] Daniel Dehennin: Update package since “debian/eole/2.7.2-15”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 25 Jan 2021 11:12:01 +0100

eole-workstation-manager (2.7.2-15) eole-2.7.2-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [5a48b4d] prepare saltkey action
  * [cb591b2] ajout action saltkey ref: #31563
  * [59eb9d1] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [b616918] Matthieu Lamalle: Update package since “debian/eole/2.7.2-14”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 21 Jan 2021 14:55:07 +0100

eole-workstation-manager (2.7.2-14) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [8ff2de9] Veyon: extract and configure the autorised user groups
  * [fac9727] Revert "Veyon: extract and configure the autorised user groups"
  * [2e99777] Merge branch '2.7.1/master' into 2.7.2/master
  * [267c729] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [19ba91e] Daniel Dehennin: Update package since “debian/eole/2.7.2-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 13:00:08 +0100

eole-workstation-manager (2.7.2-13) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [44ede00] Target minions with grains in addition to all Windows machines
  * [cb43d2c] Indent cheetah for better readability
  * [30d2fe3] Merge branch 'style/indent-cheetah' into 2.7.1/master
  * [ab42d25] Veyon: username as LDAP DN to work nicely with Python2 minions
  * [54f95b9] Merge branch 'fix/veyon-user-as-ldap-dn' into 2.7.1/master
  * [79fb10f] AD/Linux: declare standard shares in pillar to be mounted by minion
  * [856f868] Merge branch 'feature/mount-shares-for-linux' into 2.7.1/master
  * [6119c3b] AD/Linux: declare domain controller hostname
  * [26bf778] Merge branch '2.7.1/master' into 2.7.2/master
  * [0ede9a9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f5e07b2] Daniel Dehennin: Update package since “debian/eole/2.7.2-12”



=== debian/control ===
--- 
+++ 
@@ -10,7 +10,10 @@
 
 Package: eole-workstation-manager
 Architecture: all
-Depends: salt-master,
+Depends: salt-master (>= 3004.1),
+         eole-workstation-ead3 (>= 2.7.2-1),
+	 python3-m2crypto,
+	 python3-contextvars,
          ${misc:Depends}
 Conflicts: eole-saltstack (<2.7.1)
 Replaces: eole-workstation-binaries (<< 2.7.1-7)
@@ -25,7 +28,7 @@
 Architecture: all
 Depends: eole-workstation-manager,
          eole-workstation-binaries,
-	     ${misc:Depends}
+         ${misc:Depends}
 Description: Dependency package for workstation management
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-workstation-manager 2.8.0-15

=== debian/changelog ===
eole-workstation-manager (2.8.0-15) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f765df9] We need samba for the schedule task extracting Veyon groups
  * [7e91fa9] Merge branch 'fix/wait-for-samba' into 2.8.0/master
  * [f73ac51] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [9c7180d] Daniel Dehennin: Update package since “debian/eole/2.8.0-14”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 25 Nov 2020 11:06:29 +0100

eole-workstation-manager (2.8.0-14) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [ab0e355] The parent directory of Veyon configuration must exists
  * [b86ffa0] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f099c28] Daniel Dehennin: Update package since “debian/eole/2.8.0-13”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 30 Oct 2020 14:44:02 +0100

eole-workstation-manager (2.8.0-13) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [80642e2] Master: logging can't use /dev/log
  * [3bb27d7] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [06f226f] Daniel Dehennin: Update package since “debian/eole/2.8.0-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 15:30:30 +0100

eole-workstation-manager (2.8.0-12) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3477bf3] Extracting Veyon authorized user groups requires python3-ldap

  [ EOLE Build Daemon ]
  * [7c3d89d] Daniel Dehennin: Update package since “debian/eole/2.8.0-11”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 14:22:08 +0100

eole-workstation-manager (2.8.0-11) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [cf151da] Veyon configuration must be generated after instance
  * [f0b64fc] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [4890bdd] Daniel Dehennin: Update package since “debian/eole/2.8.0-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 13:44:27 +0100

eole-workstation-manager (2.8.0-10) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [8ff2de9] Veyon: extract and configure the autorised user groups
  * [949281e] Merge branch 'feature/configure-authorized-user-groups' into 2.8.0/master
  * [fac9727] Revert "Veyon: extract and configure the autorised user groups"
  * [2e99777] Merge branch '2.7.1/master' into 2.7.2/master
  * [4b62fbc] Merge branch '2.7.2/master' into 2.8.0/master
  * [491fc60] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [b15a02d] Daniel Dehennin: Update package since “debian/eole/2.8.0-9”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 13:06:05 +0100

eole-workstation-manager (2.8.0-9) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [041c84d] The EOLE “is_defined” don't play well with CreoleLint
  * [bdcc04c] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [03db4da] Daniel Dehennin: Update package since “debian/eole/2.8.0-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 16 Oct 2020 10:42:56 +0200

eole-workstation-manager (2.8.0-8) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [d7654d2] Merge branch 'feature/update-mine' into 2.7.2/master
  * [035944f] Target minions with grains in addition to all Windows machines
  * [44ede00] Target minions with grains in addition to all Windows machines
  * [cb43d2c] Indent cheetah for better readability
  * [30d2fe3] Merge branch 'style/indent-cheetah' into 2.7.1/master
  * [ab42d25] Veyon: username as LDAP DN to work nicely with Python2 minions
  * [54f95b9] Merge branch 'fix/veyon-user-as-ldap-dn' into 2.7.1/master
  * [79fb10f] AD/Linux: declare standard shares in pillar to be mounted by minion
  * [856f868] Merge branch 'feature/mount-shares-for-linux' into 2.7.1/master
  * [6119c3b] AD/Linux: declare domain controller hostname
  * [26bf778] Merge branch '2.7.1/master' into 2.7.2/master
  * [a461833] Merge branch '2.7.2/master' into 2.8.0/master
  * [f9ef70b] Switch to  “ad-formula” and “pam-mount-formula”
  * [08b176b] SSSD: don't requires principal FQDN at login
  * [7a0e3da] Add grains on join
  * [52e1f0a] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ Joël Cuissinat ]
  * [547db50] Merge branch '2.7.1/master' into 2.7.2/master
  * [59a076c] postservice/30-eole-workstation-manager : test if eole-workstation-manager is already in 'Domain Admins' group
  * [2d0ee80] Merge branch '2.7.2/master' into master
  * [cd9ec44] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d157fc6] Daniel Dehennin: Update package since “debian/eole/2.8.0-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 15 Oct 2020 13:30:28 +0200

eole-workstation-manager (2.8.0-7) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [75103bf] feat(top): apply “eole-workstation.salt.minion” states
  * [28a4783] feat(top): reboot is now it's own state
  * [bf848ab] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8fedb8f] Daniel Dehennin: Update package since “debian/eole/2.8.0-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 22 Jul 2020 17:10:39 +0200

eole-workstation-manager (2.8.0-6) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5968766] Merge branch 'feature/update-mine' into 2.7.1/master

  [ Joël Cuissinat ]
  * [c7422f6] Don't start eole-workstation-manager if server not instantiated
  * [d66a769] Merge branch '2.7.1/master'
  * [5352b96] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6357d27] Joël Cuissinat: Update package since “debian/eole/2.8.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 29 Apr 2020 11:05:38 +0200

eole-workstation-manager (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]


=== debian/control ===
--- 
+++ 
@@ -10,10 +10,8 @@
 
 Package: eole-workstation-manager
 Architecture: all
-Depends: salt-master (>= 3004.1),
-         eole-workstation-ead3 (>= 2.7.2-1),
-	 python3-m2crypto,
-	 python3-contextvars,
+Depends: salt-master,
+         python3-ldap,
          ${misc:Depends}
 Conflicts: eole-saltstack (<2.7.1)
 Replaces: eole-workstation-binaries (<< 2.7.1-7)
@@ -28,7 +26,7 @@
 Architecture: all
 Depends: eole-workstation-manager,
          eole-workstation-binaries,
-         ${misc:Depends}
+	     ${misc:Depends}
 Description: Dependency package for workstation management
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-workstation-manager 2.8.0-30

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-workstation-manager
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-workstation-manager (2.8.0-30) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [833b23f] Suppression de l’option obsolète -k pour samba-tool (backport 2.7.2)
  * [50d4a90] Merge branch '2.7.2/backport4.15' into 2.8.0/master
  * [c19c451] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [65bef8e] Joël Cuissinat: Update package since “debian/eole/2.8.0-29”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 09 Mar 2023 15:39:33 +0100

eole-workstation-manager (2.8.0-29) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [592fda2] Update salt pki path for Bareos backup
  * [5bd5183] Merge branch '2.7.2/master' into 2.8.0/master
  * [601480f] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8a6e4fe] Joël Cuissinat: Update package since “debian/eole/2.8.0-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 27 Apr 2022 10:48:02 +0200

eole-workstation-manager (2.8.0-28) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [696327e] fix(debian/postinst): don't use [[ with sh

  [ EOLE Build Daemon ]
  * [d4998a9] Laurent Gourvénec: Update package since “debian/eole/2.8.0-27”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 19 Apr 2022 13:49:46 +0200

eole-workstation-manager (2.8.0-27) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [592fdff] feat(debian/control): new depends for 3004.1 upgrade
  * [7044217] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [1aa7d93] Daniel Dehennin: Update package since “debian/eole/2.8.0-26”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:13:07 +0200

eole-workstation-manager (2.8.0-26) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [6e0392d] correction 2.8.0 ref #33328
  * [c883798] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [4b85ffe] Matthieu Lamalle: Update package since “debian/eole/2.8.0-25”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 22 Oct 2021 10:23:17 +0200

eole-workstation-manager (2.8.0-25) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [ea706be] mask salt-minion service 2.8.1 ref #33328
  * [7ecae3c] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [9091553] Matthieu Lamalle: Update package since “debian/eole/2.8.0-24”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 21 Oct 2021 16:19:35 +0200

eole-workstation-manager (2.8.0-24) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [a7bb475] Merge branch 'fix/remove-manager-from-admin' into 2.7.2/master
  * [8c19a65] Merge branch 'fix/remove-manager-from-admin' into 2.7.1/master
  * [14e569b] Samba 4.9 does not support “dsacl”
  * [7c19565] Merge branch '2.7.1/master' into 2.7.2/master

  [ Matthieu Lamalle ]
  * [280e956] mask salt-minion service ref #33328
  * [e22cc06] mask salt-minion service ref #33328
  * [f67f5b8] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c23f467] Matthieu Lamalle: Update package since “debian/eole/2.8.0-23”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 21 Oct 2021 16:13:37 +0200

eole-workstation-manager (2.8.0-23) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [d065792] AD: GNU/Linux workstation must allow domain users to connect
  * [8493efa] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c21e462] Daniel Dehennin: Update package since “debian/eole/2.8.0-22”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 08 Jul 2021 15:35:14 +0200

eole-workstation-manager (2.8.0-22) eole-2.8.0-proposed-updates; urgency=low

  [ Gilles Grandgérard ]
  * [2c6cc0e] Gestion de la jonction au domain avec un compte non admins

  [ Daniel Dehennin ]
  * [104a786] Remove unwanted line instead of commenting
  * [e192b78] Suppress extra spaces at the end of lines
  * [f4d0b5a] Merge branch 'fix/remove-manager-from-admin' into 2.8.0/master
  * [f138140] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [08449cb] Daniel Dehennin: Update package since “debian/eole/2.8.0-21”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 12 May 2021 15:54:26 +0200

eole-workstation-manager (2.8.0-21) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8d08398] changement de l'intitulé de la variable pour être plus précis (ref #31667)
  * [749fa63] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f76baae] Emmanuel Garette: Update package since “debian/eole/2.8.0-20”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 10 Feb 2021 11:19:37 +0100

eole-workstation-manager (2.8.0-20) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [92be36c] Passer la variable en mode expert (ref #31667)
  * [b26aae1] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [365874b] Emmanuel Garette: Update package since “debian/eole/2.8.0-19”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 09 Feb 2021 17:06:50 +0100

eole-workstation-manager (2.8.0-19) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d21b044] Permettre de visionner ou prendre le contrôle de postes non listés (ref #31667)
  * [eb5b10f] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ca3a283] Emmanuel Garette: Update package since “debian/eole/2.8.0-18”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 09 Feb 2021 16:50:04 +0100

eole-workstation-manager (2.8.0-18) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [bd3109f] Move EAD3 actions in a dedicated repository
  * [9a50bb0] Move EAD3 actions in a dedicated repository
  * [cf81a21] Merge branch '2.7.2/master' into 2.8.0/master
  * [5f13201] Merge branch '2.8.0/master' into dist/eole/2.8.0/master


=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
 
 Package: eole-workstation-manager
 Architecture: all
-Depends: salt-master,
-         python3-ldap,
+Depends: salt-master (>= 3004.1),
+         eole-workstation-ead3 (>= 2.8.0-1),
+	 python3-m2crypto,
          ${misc:Depends}
 Conflicts: eole-saltstack (<2.7.1)
 Replaces: eole-workstation-binaries (<< 2.7.1-7)
@@ -26,7 +27,7 @@
 Architecture: all
 Depends: eole-workstation-manager,
          eole-workstation-binaries,
-	     ${misc:Depends}
+         ${misc:Depends}
 Description: Dependency package for workstation management
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-workstation-manager 2.8.1-45

=== debian/changelog ===
eole-workstation-manager (2.8.1-45) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [b648821] ajout de usr/bin dans le paquet eole-workstation-manager (ref #32421)
  * [6842f33] ajout de script enregistrement_client (ref #32421)
  * [30e678e] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8dbbdea] Emmanuel Garette: Update package since “debian/eole/2.8.1-44”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 14 May 2021 12:08:15 +0200

eole-workstation-manager (2.8.1-44) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [92f2ead] elargir l'autorisation au groupe adm (ref #32421)
  * [2207e08] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [856be20] Emmanuel Garette: Update package since “debian/eole/2.8.1-43”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 14 May 2021 11:55:57 +0200

eole-workstation-manager (2.8.1-43) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [bae3660] conflit avec eole-scribe (ref #32421)
  * [9d38936] deplacement de la gestion du sudo + la commande est maintenant enregistrement_client (ref #32421)
  * [6ea81b0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a5b9c5e] Emmanuel Garette: Update package since “debian/eole/2.8.1-42”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 14 May 2021 11:46:32 +0200

eole-workstation-manager (2.8.1-42) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [def5b28] Amonecole: properly define “dc_domain” and “mount_server”
  * [13abee0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e27e509] Daniel Dehennin: Update package since “debian/eole/2.8.1-41”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 12 May 2021 16:52:52 +0200

eole-workstation-manager (2.8.1-41) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [329b197] le fichier bareos est sur le maitre (ref #32270)
  * [ac9829e] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ca10a68] Emmanuel Garette: Update package since “debian/eole/2.8.1-40”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 07 May 2021 10:51:54 +0200

eole-workstation-manager (2.8.1-40) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [ce6352e] ne plus inclure /etc dans le paquet eole-workstation-manager (ref #32270)

  [ EOLE Build Daemon ]
  * [34ec844] Emmanuel Garette: Update package since “debian/eole/2.8.1-39”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 07 May 2021 08:41:51 +0200

eole-workstation-manager (2.8.1-39) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [aad1d37] sauvegarde de eole-workstation dans le conteneur (ref #32270)
  * [5871daf] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c75a344] Emmanuel Garette: Update package since “debian/eole/2.8.1-38”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 07 May 2021 08:34:27 +0200

eole-workstation-manager (2.8.1-38) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [6629983] Dump of current DSACL is invalid because of quoting
  * [a8c692c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ecded3c] Daniel Dehennin: Update package since “debian/eole/2.8.1-37”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 30 Apr 2021 14:54:23 +0200

eole-workstation-manager (2.8.1-37) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f9e4930] Remplace some CONTAINER_EXEC with CreoleRun
  * [2c89eda] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5a94d88] Daniel Dehennin: Update package since “debian/eole/2.8.1-36”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Apr 2021 14:12:47 +0200

eole-workstation-manager (2.8.1-36) eole-2.8-unstable; urgency=low

  [ Gilles Grandgérard ]
  * [2c6cc0e] Gestion de la jonction au domain avec un compte non admins

  [ Daniel Dehennin ]
  * [104a786] Remove unwanted line instead of commenting
  * [e192b78] Suppress extra spaces at the end of lines
  * [d7c9587] Merge branch 'fix/remove-manager-from-admin'
  * [fa7939e] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [dbd0eaa] Daniel Dehennin: Update package since “debian/eole/2.8.1-35”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Apr 2021 14:00:13 +0200

eole-workstation-manager (2.8.1-35) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [843dddd] créer le répertoire si inexistant (ref #32169)
  * [f086f05] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4e4f4d6] Emmanuel Garette: Update package since “debian/eole/2.8.1-34”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 21 Apr 2021 17:14:00 +0200

eole-workstation-manager (2.8.1-34) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [967220b] ajouter les fichiers sbin (ref #32169)

  [ EOLE Build Daemon ]
  * [c44873e] Emmanuel Garette: Update package since “debian/eole/2.8.1-33”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 21 Apr 2021 17:10:52 +0200

eole-workstation-manager (2.8.1-33) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [eef7c95] ajouter les fichiers systemd (ref #32169)

  [ EOLE Build Daemon ]
  * [d4766a6] Emmanuel Garette: Update package since “debian/eole/2.8.1-32”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 21 Apr 2021 17:06:14 +0200

eole-workstation-manager (2.8.1-32) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [dec0471] ajouter les fichiers systemd (ref #32169)

  [ EOLE Build Daemon ]
  * [b5a2045] Emmanuel Garette: Update package since “debian/eole/2.8.1-31”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 21 Apr 2021 17:01:37 +0200

eole-workstation-manager (2.8.1-31) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [00d3d7d] ajouter les fichiers systemd (ref #32169)

  [ EOLE Build Daemon ]
  * [3e1852f] Emmanuel Garette: Update package since “debian/eole/2.8.1-30”



## eole-workstation-manager 2.8.1-47

=== debian/changelog ===
eole-workstation-manager (2.8.1-47) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [11e1763] suppression de variable inutilisée (ref #32932)
  * [18e1b14] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c0e6e92] Emmanuel Garette: Update package since “debian/eole/2.8.1-46”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 15 Jul 2021 17:26:30 +0200

eole-workstation-manager (2.8.1-46) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f4d0b5a] Merge branch 'fix/remove-manager-from-admin' into 2.8.0/master
  * [d065792] AD: GNU/Linux workstation must allow domain users to connect
  * [e9eed15] Merge branch '2.8.0/master'
  * [516b720] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [17df070] Daniel Dehennin: Update package since “debian/eole/2.8.1-45”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 08 Jul 2021 15:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,22 @@
 
 Package: eole-workstation-manager
 Architecture: all
-Depends: salt-master (>= 3004.1),
-         eole-workstation-ead3 (>= 2.8.0-1),
-	 python3-m2crypto,
+Depends: python3-ldap,
+         eole-workstation-ead3 (>= 2.8.1-1)
          ${misc:Depends}
 Conflicts: eole-saltstack (<2.7.1)
-Replaces: eole-workstation-binaries (<< 2.7.1-7)
-Breaks: eole-workstation-binaries (<< 2.7.1-7)
+Replaces: eole-workstation-binaries (<< 2.7.1-7), eole-scribe (<<2.8.1-13)
+Breaks: eole-workstation-binaries (<< 2.7.1-7), eole-scribe (<<2.8.1-13)
+Description: EOLE SaltMaster server for workstation management
+ .
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
+
+Package: eole-workstation-manager-salt
+Architecture: all
+Depends: salt-master,
+         python3-ldap,
+         ${misc:Depends}
 Description: SaltMaster server for workstation management
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
@@ -32,3 +41,19 @@
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
+
+Package: eole-workstation-pkg
+Section: metapackages
+Architecture: all
+Depends: eole-workstation-formula,
+         eole-workstation-joineole,
+         eole-workstation-minion,
+         eole-workstation-veyon,
+         eole-ad-formula,
+         eole-pam-mount-formula,
+         eole-workstation-manager-salt,
+         ${misc:Depends}
+Description: Dependency package for workstation in "domaine" container
+ .
+ Pour toute information complémentaire, veuillez vous rendre sur le
+ site du projet EOLE.
